/********************
 * Stanford Law Review paper Appendix Table 3a.1
 * State Data
 * Dummy Variable Model
 * Lott's coding and incarceration rate
 * 1977-1999
 ********************/

clear
set more off
set mem 40m
set mat 800
use "..\FINAL DATASET", clear
log using "AppendixTable3a.1.log", replace
drop if year<77
#delimit ;


areg  lvio shalll incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll using AppendixTable3a.1.xls, replace noparen nolabel coefastr se 3aster;

areg  lmur shalll incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll using AppendixTable3a.1.xls, append noparen nolabel coefastr se 3aster;

areg  lrap shalll incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll using AppendixTable3a.1.xls, append noparen nolabel coefastr se 3aster;

areg  laga shalll incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll using AppendixTable3a.1.xls, append noparen nolabel coefastr se 3aster;

areg  lrob shalll incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll using AppendixTable3a.1.xls, append noparen nolabel coefastr se 3aster;

areg  lpro shalll incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll using AppendixTable3a.1.xls, append noparen nolabel coefastr se 3aster;

areg  laut shalll incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll using AppendixTable3a.1.xls, append noparen nolabel coefastr se 3aster;

areg  lbur shalll incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll using AppendixTable3a.1.xls, append noparen nolabel coefastr se 3aster;

areg  llar shalll incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll using AppendixTable3a.1.xls, append noparen nolabel coefastr se 3aster;

log close;