/****************************
 * Stanford Law Review Appendix Table 5a.1
 * Putting in over 8 years prior to shall passage and 3 years after shall passage dummies
 * Lott Coding, Incarceration Rates
 * Dummy Variable Model
 * 1977-1999
 ****************************/

clear
set more off
set mem 40m
set mat 800
use "R:\Stanford Law Review\FINAL DATASET.dta", clear
log using "AppendixTable5a.1.log", replace
drop if year<77
#delimit ;



gen shalllpre8=0 ;
replace shalllpre8=1 if year<(yradopt-8) & yradopt!=0 & yradopt!=77 ;

gen shalllpost3=0 ;
replace shalllpost3=1 if year>(yradopt+3) & yradopt!=0 & yradopt!=77 ;


areg  lvio shalll shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll using AppendixTable5a.1.xls, replace noparen nolabel coefastr se 3aster;

areg  lmur shalll shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll using AppendixTable5a.1.xls, append noparen nolabel coefastr se 3aster;

areg  lrap shalll shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll using AppendixTable5a.1.xls, append noparen nolabel coefastr se 3aster;

areg  laga shalll shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll using AppendixTable5a.1.xls, append noparen nolabel coefastr se 3aster;

areg  lrob shalll shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll using AppendixTable5a.1.xls, append noparen nolabel coefastr se 3aster;

areg  lpro shalll shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll using AppendixTable5a.1.xls, append noparen nolabel coefastr se 3aster;

areg  laut shalll shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll using AppendixTable5a.1.xls, append noparen nolabel coefastr se 3aster;

areg  lbur shalll shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll using AppendixTable5a.1.xls, append noparen nolabel coefastr se 3aster;

areg  llar shalll shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll using AppendixTable5a.1.xls, append noparen nolabel coefastr se 3aster;

log close;