/****************
 * Stanford Law Review paper Table 1
 * Regressions with shall dummy and state and year effects only
 * Vernick's coding of the shall law
 * 1977-1999
 ********************/

clear
capture log close
set memory 200000
set matsize 300
set more off
log using "Table1.log", replace
use "..\FINAL DATASET"
#delimit ;

drop if year<77 ;

areg lvio v_shall iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall using Table1.xls, replace noparen nolabel coefastr se 3aster;
areg lmur v_shall iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall using Table1.xls, append noparen nolabel coefastr se 3aster;
areg lrap v_shall iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall using Table1.xls, append noparen nolabel coefastr se 3aster;
areg laga v_shall iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall using Table1.xls, append noparen nolabel coefastr se 3aster;
areg lrob v_shall iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall using Table1.xls, append noparen nolabel coefastr se 3aster;
areg lpro v_shall iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall using Table1.xls, append noparen nolabel coefastr se 3aster;
areg laut v_shall iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall using Table1.xls, append noparen nolabel coefastr se 3aster;
areg lbur v_shall iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall using Table1.xls, append noparen nolabel coefastr se 3aster;
areg llar v_shall iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall using Table1.xls, append noparen nolabel coefastr se 3aster;

log close;

