/*********************
 * Stanford Law Review Paper Table 10.2
 * County data
 * Lott-Spline Model
 * Lott's coding
 * 1977-1992
 *********************/


clear
set more off
set mem 40m
set mat 800
use "..\Lott", clear
log using "Table10.2.log", replace
drop if YEAR>92
#delimit ;



gen ttt1=YEAR-76 if yradopt>77 & yradopt<93;
replace ttt1=0 if ttt1==.;

areg  lvio aftr ttt1 AOVIO DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg aftr ttt1 using Table10.2.xls, replace noparen nolabel coefastr se 3aster;

areg  lmur aftr ttt1 AOMUR DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg aftr ttt1 using Table10.2.xls, append noparen nolabel coefastr se 3aster;

areg  lrap aftr ttt1 AORAP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg aftr ttt1 using Table10.2.xls, append noparen nolabel coefastr se 3aster;

areg  laga aftr ttt1 AOAGA DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg aftr ttt1 using Table10.2.xls, append noparen nolabel coefastr se 3aster;

areg  lrob aftr ttt1 AOROB DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg aftr ttt1 using Table10.2.xls, append noparen nolabel coefastr se 3aster;

areg  lpro aftr ttt1 AOPRO DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg aftr ttt1 using Table10.2.xls, append noparen nolabel coefastr se 3aster;

areg  laut aftr ttt1 AOAUT DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg aftr ttt1 using Table10.2.xls, append noparen nolabel coefastr se 3aster;

areg  lbur aftr ttt1 AOBUR DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg aftr ttt1 using Table10.2.xls, append noparen nolabel coefastr se 3aster;

areg  llar aftr ttt1 AOLAR DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg aftr ttt1 using Table10.2.xls, append noparen nolabel coefastr se 3aster;

log close;


