/********************
 * Stanford Law Review Table 13
 * County Data
 * Juridiction-Specific Annualized Five-Year Impact of Shall-Issue Laws on Crime
 * Linear Hybrid Model Controlling for State Trends
 * Lott's coding
 * 1977-1997
 ********************/


#delimit;
set mem 160000;
set more off;
log using "Table13.log", replace;
set matsize 700;
use "..\Lott", clear;

gen ttt=YEAR-76;
gen byte AK=state== 2;
gen byte AL=state== 1;
gen byte AZ=state== 4;
gen byte AR=state== 5;
gen byte CA=state== 6;
gen byte CO=state== 8;
gen byte CT=state== 9;
gen byte DC=state== 11;
gen byte DE=state== 10;
gen byte FL=state== 12;
gen byte GA=state== 13;
gen byte HI=state== 15;
gen byte IA=state== 19;
gen byte ID=state== 16;
gen byte IL=state== 17;
gen byte IN=state== 18;
gen byte KS=state== 20;
gen byte KY=state== 21;
gen byte LA=state== 22;
gen byte MA=state== 25;
gen byte MD=state== 24;
gen byte ME=state== 23;
gen byte MI=state== 26;
gen byte MN=state== 27;
gen byte MO=state== 29;
gen byte MS=state== 28;
gen byte MT=state== 30;
gen byte NC=state== 37;
gen byte ND=state== 38;
gen byte NE=state== 31;
gen byte NH=state== 33;
gen byte NJ=state== 34;
gen byte NM=state== 35;
gen byte NV=state== 32;
gen byte NY=state== 36;
gen byte OH=state== 39;
gen byte OK=state== 40;
gen byte OR=state== 41;
gen byte PA=state== 42;
gen byte Phil=COUNTY== 42101;
gen byte RI=state== 44;
gen byte SC=state== 45;
gen byte SD=state== 46;
gen byte TN=state== 47;
gen byte TX=state== 48;
gen byte UT=state== 49;
gen byte VA=state== 51;
gen byte VT=state== 50;
gen byte WA=state== 53;
gen byte WI=state== 55;
gen byte WV=state== 54;
gen byte WY=state== 56;

gen tttAK =ttt*AK;
gen tttAL =ttt*AL;
gen tttAZ =ttt*AZ;
gen tttAR =ttt*AR;
gen tttCA =ttt*CA;
gen tttCO =ttt*CO;
gen tttCT =ttt*CT;
gen tttDC =ttt*DC;
gen tttDE =ttt*DE;
gen tttFL =ttt*FL;
gen tttGA =ttt*GA;
gen tttHI =ttt*HI;
gen tttIA =ttt*IA;
gen tttID =ttt*ID;
gen tttIL =ttt*IL;
gen tttIN =ttt*IN;
gen tttKS =ttt*KS;
gen tttKY =ttt*KY;
gen tttLA =ttt*LA;
gen tttMA =ttt*MA;
gen tttMD =ttt*MD;
gen tttME =ttt*ME;
gen tttMI =ttt*MI;
gen tttMN =ttt*MN;
gen tttMO =ttt*MO;
gen tttMS =ttt*MS;
gen tttMT =ttt*MT;
gen tttNC =ttt*NC;
gen tttND =ttt*ND;
gen tttNE =ttt*NE;
gen tttNH =ttt*NH;
gen tttNJ =ttt*NJ;
gen tttNM =ttt*NM;
gen tttNV =ttt*NV;
gen tttNY =ttt*NY;
gen tttOH =ttt*OH;
gen tttOK =ttt*OK;
gen tttOR =ttt*OR;
gen tttPA =ttt*PA;
gen tttPhil=ttt*Phil;
gen tttRI =ttt*RI;
gen tttSC =ttt*SC;
gen tttSD =ttt*SD;
gen tttTN =ttt*TN;
gen tttTX =ttt*TX;
gen tttUT =ttt*UT;
gen tttVA =ttt*VA;
gen tttVT =ttt*VT;
gen tttWA =ttt*WA;
gen tttWI =ttt*WI;
gen tttWV =ttt*WV;
gen tttWY =ttt*WY;

gen shalllME=shalll*ME;
gen shalllFL=shalll*FL;
gen shalllVA=shalll*VA;
gen shalllGA=shalll*GA;
gen shalllPA=shalll*PA;
gen shalllPh=shalll*Phil;
gen shalllWV=shalll*WV;
gen shalllID=shalll*ID;
gen shalllMS=shalll*MS;
gen shalllOR=shalll*OR;
gen shalllMT=shalll*MT;
gen shalllAK=shalll*AK;
gen shalllAZ=shalll*AZ;
gen shalllTN=shalll*TN;
gen shalllWY=shalll*WY;
gen shalllAR=shalll*AR;
gen shalllNV=shalll*NV;
gen shalllNC=shalll*NC;
gen shalllOK=shalll*OK;
gen shalllTX=shalll*TX;
gen shalllUT=shalll*UT;
gen shalllKY=shalll*KY;
gen shalllLA=shalll*LA;
gen shalllSC=shalll*SC;

gen aftrME=aftr*ME;
gen aftrFL=aftr*FL;
gen aftrVA=aftr*VA;
gen aftrGA=aftr*GA;
gen aftrPA=aftr*PA;
gen aftrPh=aftr*Phil;
gen aftrWV=aftr*WV;
gen aftrID=aftr*ID;
gen aftrMS=aftr*MS;
gen aftrOR=aftr*OR;
gen aftrMT=aftr*MT;
gen aftrAK=aftr*AK;
gen aftrAZ=aftr*AZ;
gen aftrTN=aftr*TN;
gen aftrWY=aftr*WY;
gen aftrAR=aftr*AR;
gen aftrNV=aftr*NV;
gen aftrNC=aftr*NC;
gen aftrOK=aftr*OK;
gen aftrTX=aftr*TX;
gen aftrUT=aftr*UT;
gen aftrKY=aftr*KY;
gen aftrLA=aftr*LA;
gen aftrSC=aftr*SC;

drop ttt;
drop aftr;
drop shalll;

/* 1977-97 new JJD time trend, WITH year dummies (robust errors) */
areg  lvio shalll* aftr* ttt* AOVIOICP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-iyear_97 [aweight=POPC], absorb(COUNTY) robust;
testparm aftrME-aftrSC;
testparm aftrME-aftrSC, equal;

outreg shalllME-aftrSC using Table13.xls, replace noparen nolabel coefastr se 3aster;

test 4*shalllME + 10*aftrME=0;
test 4*shalllFL + 10*aftrFL=0;
test 4*shalllVA + 10*aftrVA=0;
test 4*shalllGA + 10*aftrGA=0;
test 4*shalllPA + 10*aftrPA=0;
test 4*shalllPh + 10*aftrPh=0;
test 4*shalllWV + 10*aftrWV=0;
test 4*shalllID + 10*aftrID=0;
test 4*shalllMS + 10*aftrMS=0;
test 4*shalllOR + 10*aftrOR=0;
test 4*shalllMT + 10*aftrMT=0;
test 4*shalllAK + 10*aftrAK=0;
test 4*shalllAZ + 10*aftrAZ=0;
test 4*shalllTN + 10*aftrTN=0;
test 4*shalllWY + 10*aftrWY=0;
test 4*shalllAR + 10*aftrAR=0;
test 4*shalllNV + 10*aftrNV=0;
test 4*shalllNC + 10*aftrNC=0;
test 4*shalllOK + 10*aftrOK=0;
test 4*shalllTX + 10*aftrTX=0;
test 4*shalllUT + 10*aftrUT=0;
test 4*shalllKY =0;
test 4*shalllLA =0;
test 4*shalllSC =0;

test 5*shalllME + 15*aftrME=0;
test 5*shalllFL + 15*aftrFL=0;
test 5*shalllVA + 15*aftrVA=0;
test 5*shalllGA + 15*aftrGA=0;
test 5*shalllPA + 15*aftrPA=0;
test 5*shalllPh + 15*aftrPh=0;
test 5*shalllWV + 15*aftrWV=0;
test 5*shalllID + 15*aftrID=0;
test 5*shalllMS + 15*aftrMS=0;
test 5*shalllOR + 15*aftrOR=0;
test 5*shalllMT + 15*aftrMT=0;
test 5*shalllAK + 15*aftrAK=0;
test 5*shalllAZ + 15*aftrAZ=0;
test 5*shalllTN + 15*aftrTN=0;
test 5*shalllWY + 15*aftrWY=0;
test 5*shalllAR + 15*aftrAR=0;
test 5*shalllNV + 15*aftrNV=0;
test 5*shalllNC + 15*aftrNC=0;
test 5*shalllOK + 15*aftrOK=0;
test 5*shalllTX + 15*aftrTX=0;
test 5*shalllUT + 15*aftrUT=0;
test 5*shalllKY =0;
test 5*shalllLA =0;
test 5*shalllSC =0;

test 6*shalllME + 21*aftrME=0;
test 6*shalllFL + 21*aftrFL=0;
test 6*shalllVA + 21*aftrVA=0;
test 6*shalllGA + 21*aftrGA=0;
test 6*shalllPA + 21*aftrPA=0;
test 6*shalllPh + 21*aftrPh=0;
test 6*shalllWV + 21*aftrWV=0;
test 6*shalllID + 21*aftrID=0;
test 6*shalllMS + 21*aftrMS=0;
test 6*shalllOR + 21*aftrOR=0;
test 6*shalllMT + 21*aftrMT=0;
test 6*shalllAK + 21*aftrAK=0;
test 6*shalllAZ + 21*aftrAZ=0;
test 6*shalllTN + 21*aftrTN=0;
test 6*shalllWY + 21*aftrWY=0;
test 6*shalllAR + 21*aftrAR=0;
test 6*shalllNV + 21*aftrNV=0;
test 6*shalllNC + 21*aftrNC=0;
test 6*shalllOK + 21*aftrOK=0;
test 6*shalllTX + 21*aftrTX=0;
test 6*shalllUT + 21*aftrUT=0;
test 6*shalllKY =0;
test 6*shalllLA =0;
test 6*shalllSC =0;

areg lmur shalll* aftr* ttt* AOMURICP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-iyear_97 [aweight=POPC], absorb(COUNTY) robust;testparm aftrME-aftrSC;
testparm aftrME-aftrSC, equal;

outreg shalllME-aftrSC using Table13.xls, append noparen nolabel coefastr se 3aster;

test 4*shalllME + 10*aftrME=0;
test 4*shalllFL + 10*aftrFL=0;
test 4*shalllVA + 10*aftrVA=0;
test 4*shalllGA + 10*aftrGA=0;
test 4*shalllPA + 10*aftrPA=0;
test 4*shalllPh + 10*aftrPh=0;
test 4*shalllWV + 10*aftrWV=0;
test 4*shalllID + 10*aftrID=0;
test 4*shalllMS + 10*aftrMS=0;
test 4*shalllOR + 10*aftrOR=0;
test 4*shalllMT + 10*aftrMT=0;
test 4*shalllAK + 10*aftrAK=0;
test 4*shalllAZ + 10*aftrAZ=0;
test 4*shalllTN + 10*aftrTN=0;
test 4*shalllWY + 10*aftrWY=0;
test 4*shalllAR + 10*aftrAR=0;
test 4*shalllNV + 10*aftrNV=0;
test 4*shalllNC + 10*aftrNC=0;
test 4*shalllOK + 10*aftrOK=0;
test 4*shalllTX + 10*aftrTX=0;
test 4*shalllUT + 10*aftrUT=0;
test 4*shalllKY =0;
test 4*shalllLA =0;
test 4*shalllSC =0;

test 5*shalllME + 15*aftrME=0;
test 5*shalllFL + 15*aftrFL=0;
test 5*shalllVA + 15*aftrVA=0;
test 5*shalllGA + 15*aftrGA=0;
test 5*shalllPA + 15*aftrPA=0;
test 5*shalllPh + 15*aftrPh=0;
test 5*shalllWV + 15*aftrWV=0;
test 5*shalllID + 15*aftrID=0;
test 5*shalllMS + 15*aftrMS=0;
test 5*shalllOR + 15*aftrOR=0;
test 5*shalllMT + 15*aftrMT=0;
test 5*shalllAK + 15*aftrAK=0;
test 5*shalllAZ + 15*aftrAZ=0;
test 5*shalllTN + 15*aftrTN=0;
test 5*shalllWY + 15*aftrWY=0;
test 5*shalllAR + 15*aftrAR=0;
test 5*shalllNV + 15*aftrNV=0;
test 5*shalllNC + 15*aftrNC=0;
test 5*shalllOK + 15*aftrOK=0;
test 5*shalllTX + 15*aftrTX=0;
test 5*shalllUT + 15*aftrUT=0;
test 5*shalllKY =0;
test 5*shalllLA =0;
test 5*shalllSC =0;

test 6*shalllME + 21*aftrME=0;
test 6*shalllFL + 21*aftrFL=0;
test 6*shalllVA + 21*aftrVA=0;
test 6*shalllGA + 21*aftrGA=0;
test 6*shalllPA + 21*aftrPA=0;
test 6*shalllPh + 21*aftrPh=0;
test 6*shalllWV + 21*aftrWV=0;
test 6*shalllID + 21*aftrID=0;
test 6*shalllMS + 21*aftrMS=0;
test 6*shalllOR + 21*aftrOR=0;
test 6*shalllMT + 21*aftrMT=0;
test 6*shalllAK + 21*aftrAK=0;
test 6*shalllAZ + 21*aftrAZ=0;
test 6*shalllTN + 21*aftrTN=0;
test 6*shalllWY + 21*aftrWY=0;
test 6*shalllAR + 21*aftrAR=0;
test 6*shalllNV + 21*aftrNV=0;
test 6*shalllNC + 21*aftrNC=0;
test 6*shalllOK + 21*aftrOK=0;
test 6*shalllTX + 21*aftrTX=0;
test 6*shalllUT + 21*aftrUT=0;
test 6*shalllKY =0;
test 6*shalllLA =0;
test 6*shalllSC =0;


areg  lrap shalll* aftr* ttt* AORAPICP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-iyear_97 [aweight=POPC], absorb(COUNTY) robust;

testparm aftrME-aftrSC;
testparm aftrME-aftrSC, equal;

outreg shalllME-aftrSC using Table13.xls, append noparen nolabel coefastr se 3aster;

test 4*shalllME + 10*aftrME=0;
test 4*shalllFL + 10*aftrFL=0;
test 4*shalllVA + 10*aftrVA=0;
test 4*shalllGA + 10*aftrGA=0;
test 4*shalllPA + 10*aftrPA=0;
test 4*shalllPh + 10*aftrPh=0;
test 4*shalllWV + 10*aftrWV=0;
test 4*shalllID + 10*aftrID=0;
test 4*shalllMS + 10*aftrMS=0;
test 4*shalllOR + 10*aftrOR=0;
test 4*shalllMT + 10*aftrMT=0;
test 4*shalllAK + 10*aftrAK=0;
test 4*shalllAZ + 10*aftrAZ=0;
test 4*shalllTN + 10*aftrTN=0;
test 4*shalllWY + 10*aftrWY=0;
test 4*shalllAR + 10*aftrAR=0;
test 4*shalllNV + 10*aftrNV=0;
test 4*shalllNC + 10*aftrNC=0;
test 4*shalllOK + 10*aftrOK=0;
test 4*shalllTX + 10*aftrTX=0;
test 4*shalllUT + 10*aftrUT=0;
test 4*shalllKY =0;
test 4*shalllLA =0;
test 4*shalllSC =0;

test 5*shalllME + 15*aftrME=0;
test 5*shalllFL + 15*aftrFL=0;
test 5*shalllVA + 15*aftrVA=0;
test 5*shalllGA + 15*aftrGA=0;
test 5*shalllPA + 15*aftrPA=0;
test 5*shalllPh + 15*aftrPh=0;
test 5*shalllWV + 15*aftrWV=0;
test 5*shalllID + 15*aftrID=0;
test 5*shalllMS + 15*aftrMS=0;
test 5*shalllOR + 15*aftrOR=0;
test 5*shalllMT + 15*aftrMT=0;
test 5*shalllAK + 15*aftrAK=0;
test 5*shalllAZ + 15*aftrAZ=0;
test 5*shalllTN + 15*aftrTN=0;
test 5*shalllWY + 15*aftrWY=0;
test 5*shalllAR + 15*aftrAR=0;
test 5*shalllNV + 15*aftrNV=0;
test 5*shalllNC + 15*aftrNC=0;
test 5*shalllOK + 15*aftrOK=0;
test 5*shalllTX + 15*aftrTX=0;
test 5*shalllUT + 15*aftrUT=0;
test 5*shalllKY =0;
test 5*shalllLA =0;
test 5*shalllSC =0;

test 6*shalllME + 21*aftrME=0;
test 6*shalllFL + 21*aftrFL=0;
test 6*shalllVA + 21*aftrVA=0;
test 6*shalllGA + 21*aftrGA=0;
test 6*shalllPA + 21*aftrPA=0;
test 6*shalllPh + 21*aftrPh=0;
test 6*shalllWV + 21*aftrWV=0;
test 6*shalllID + 21*aftrID=0;
test 6*shalllMS + 21*aftrMS=0;
test 6*shalllOR + 21*aftrOR=0;
test 6*shalllMT + 21*aftrMT=0;
test 6*shalllAK + 21*aftrAK=0;
test 6*shalllAZ + 21*aftrAZ=0;
test 6*shalllTN + 21*aftrTN=0;
test 6*shalllWY + 21*aftrWY=0;
test 6*shalllAR + 21*aftrAR=0;
test 6*shalllNV + 21*aftrNV=0;
test 6*shalllNC + 21*aftrNC=0;
test 6*shalllOK + 21*aftrOK=0;
test 6*shalllTX + 21*aftrTX=0;
test 6*shalllUT + 21*aftrUT=0;
test 6*shalllKY =0;
test 6*shalllLA =0;
test 6*shalllSC =0;


areg laga shalll* aftr* ttt* AOAGAICP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-iyear_97 [aweight=POPC], absorb(COUNTY) robust;

testparm aftrME-aftrSC;
testparm aftrME-aftrSC, equal;

outreg shalllME-aftrSC using Table13.xls, append noparen nolabel coefastr se 3aster;

test 4*shalllME + 10*aftrME=0;
test 4*shalllFL + 10*aftrFL=0;
test 4*shalllVA + 10*aftrVA=0;
test 4*shalllGA + 10*aftrGA=0;
test 4*shalllPA + 10*aftrPA=0;
test 4*shalllPh + 10*aftrPh=0;
test 4*shalllWV + 10*aftrWV=0;
test 4*shalllID + 10*aftrID=0;
test 4*shalllMS + 10*aftrMS=0;
test 4*shalllOR + 10*aftrOR=0;
test 4*shalllMT + 10*aftrMT=0;
test 4*shalllAK + 10*aftrAK=0;
test 4*shalllAZ + 10*aftrAZ=0;
test 4*shalllTN + 10*aftrTN=0;
test 4*shalllWY + 10*aftrWY=0;
test 4*shalllAR + 10*aftrAR=0;
test 4*shalllNV + 10*aftrNV=0;
test 4*shalllNC + 10*aftrNC=0;
test 4*shalllOK + 10*aftrOK=0;
test 4*shalllTX + 10*aftrTX=0;
test 4*shalllUT + 10*aftrUT=0;
test 4*shalllKY =0;
test 4*shalllLA =0;
test 4*shalllSC =0;

test 5*shalllME + 15*aftrME=0;
test 5*shalllFL + 15*aftrFL=0;
test 5*shalllVA + 15*aftrVA=0;
test 5*shalllGA + 15*aftrGA=0;
test 5*shalllPA + 15*aftrPA=0;
test 5*shalllPh + 15*aftrPh=0;
test 5*shalllWV + 15*aftrWV=0;
test 5*shalllID + 15*aftrID=0;
test 5*shalllMS + 15*aftrMS=0;
test 5*shalllOR + 15*aftrOR=0;
test 5*shalllMT + 15*aftrMT=0;
test 5*shalllAK + 15*aftrAK=0;
test 5*shalllAZ + 15*aftrAZ=0;
test 5*shalllTN + 15*aftrTN=0;
test 5*shalllWY + 15*aftrWY=0;
test 5*shalllAR + 15*aftrAR=0;
test 5*shalllNV + 15*aftrNV=0;
test 5*shalllNC + 15*aftrNC=0;
test 5*shalllOK + 15*aftrOK=0;
test 5*shalllTX + 15*aftrTX=0;
test 5*shalllUT + 15*aftrUT=0;
test 5*shalllKY =0;
test 5*shalllLA =0;
test 5*shalllSC =0;

test 6*shalllME + 21*aftrME=0;
test 6*shalllFL + 21*aftrFL=0;
test 6*shalllVA + 21*aftrVA=0;
test 6*shalllGA + 21*aftrGA=0;
test 6*shalllPA + 21*aftrPA=0;
test 6*shalllPh + 21*aftrPh=0;
test 6*shalllWV + 21*aftrWV=0;
test 6*shalllID + 21*aftrID=0;
test 6*shalllMS + 21*aftrMS=0;
test 6*shalllOR + 21*aftrOR=0;
test 6*shalllMT + 21*aftrMT=0;
test 6*shalllAK + 21*aftrAK=0;
test 6*shalllAZ + 21*aftrAZ=0;
test 6*shalllTN + 21*aftrTN=0;
test 6*shalllWY + 21*aftrWY=0;
test 6*shalllAR + 21*aftrAR=0;
test 6*shalllNV + 21*aftrNV=0;
test 6*shalllNC + 21*aftrNC=0;
test 6*shalllOK + 21*aftrOK=0;
test 6*shalllTX + 21*aftrTX=0;
test 6*shalllUT + 21*aftrUT=0;
test 6*shalllKY =0;
test 6*shalllLA =0;
test 6*shalllSC =0;

areg lrob shalll* aftr* ttt* AOROBICP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-iyear_97 [aweight=POPC], absorb(COUNTY) robust;

testparm aftrME-aftrSC;
testparm aftrME-aftrSC, equal;

outreg shalllME-aftrSC using Table13.xls, append noparen nolabel coefastr se 3aster;

test 4*shalllME + 10*aftrME=0;
test 4*shalllFL + 10*aftrFL=0;
test 4*shalllVA + 10*aftrVA=0;
test 4*shalllGA + 10*aftrGA=0;
test 4*shalllPA + 10*aftrPA=0;
test 4*shalllPh + 10*aftrPh=0;
test 4*shalllWV + 10*aftrWV=0;
test 4*shalllID + 10*aftrID=0;
test 4*shalllMS + 10*aftrMS=0;
test 4*shalllOR + 10*aftrOR=0;
test 4*shalllMT + 10*aftrMT=0;
test 4*shalllAK + 10*aftrAK=0;
test 4*shalllAZ + 10*aftrAZ=0;
test 4*shalllTN + 10*aftrTN=0;
test 4*shalllWY + 10*aftrWY=0;
test 4*shalllAR + 10*aftrAR=0;
test 4*shalllNV + 10*aftrNV=0;
test 4*shalllNC + 10*aftrNC=0;
test 4*shalllOK + 10*aftrOK=0;
test 4*shalllTX + 10*aftrTX=0;
test 4*shalllUT + 10*aftrUT=0;
test 4*shalllKY =0;
test 4*shalllLA =0;
test 4*shalllSC =0;

test 5*shalllME + 15*aftrME=0;
test 5*shalllFL + 15*aftrFL=0;
test 5*shalllVA + 15*aftrVA=0;
test 5*shalllGA + 15*aftrGA=0;
test 5*shalllPA + 15*aftrPA=0;
test 5*shalllPh + 15*aftrPh=0;
test 5*shalllWV + 15*aftrWV=0;
test 5*shalllID + 15*aftrID=0;
test 5*shalllMS + 15*aftrMS=0;
test 5*shalllOR + 15*aftrOR=0;
test 5*shalllMT + 15*aftrMT=0;
test 5*shalllAK + 15*aftrAK=0;
test 5*shalllAZ + 15*aftrAZ=0;
test 5*shalllTN + 15*aftrTN=0;
test 5*shalllWY + 15*aftrWY=0;
test 5*shalllAR + 15*aftrAR=0;
test 5*shalllNV + 15*aftrNV=0;
test 5*shalllNC + 15*aftrNC=0;
test 5*shalllOK + 15*aftrOK=0;
test 5*shalllTX + 15*aftrTX=0;
test 5*shalllUT + 15*aftrUT=0;
test 5*shalllKY =0;
test 5*shalllLA =0;
test 5*shalllSC =0;

test 6*shalllME + 21*aftrME=0;
test 6*shalllFL + 21*aftrFL=0;
test 6*shalllVA + 21*aftrVA=0;
test 6*shalllGA + 21*aftrGA=0;
test 6*shalllPA + 21*aftrPA=0;
test 6*shalllPh + 21*aftrPh=0;
test 6*shalllWV + 21*aftrWV=0;
test 6*shalllID + 21*aftrID=0;
test 6*shalllMS + 21*aftrMS=0;
test 6*shalllOR + 21*aftrOR=0;
test 6*shalllMT + 21*aftrMT=0;
test 6*shalllAK + 21*aftrAK=0;
test 6*shalllAZ + 21*aftrAZ=0;
test 6*shalllTN + 21*aftrTN=0;
test 6*shalllWY + 21*aftrWY=0;
test 6*shalllAR + 21*aftrAR=0;
test 6*shalllNV + 21*aftrNV=0;
test 6*shalllNC + 21*aftrNC=0;
test 6*shalllOK + 21*aftrOK=0;
test 6*shalllTX + 21*aftrTX=0;
test 6*shalllUT + 21*aftrUT=0;
test 6*shalllKY =0;
test 6*shalllLA =0;
test 6*shalllSC =0;

areg lpro shalll* aftr* ttt* AOPROICP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-iyear_97 [aweight=POPC], absorb(COUNTY) robust;
testparm aftrME-aftrSC;
testparm aftrME-aftrSC, equal;

outreg shalllME-aftrSC using Table13.xls, append noparen nolabel coefastr se 3aster;

test 4*shalllME + 10*aftrME=0;
test 4*shalllFL + 10*aftrFL=0;
test 4*shalllVA + 10*aftrVA=0;
test 4*shalllGA + 10*aftrGA=0;
test 4*shalllPA + 10*aftrPA=0;
test 4*shalllPh + 10*aftrPh=0;
test 4*shalllWV + 10*aftrWV=0;
test 4*shalllID + 10*aftrID=0;
test 4*shalllMS + 10*aftrMS=0;
test 4*shalllOR + 10*aftrOR=0;
test 4*shalllMT + 10*aftrMT=0;
test 4*shalllAK + 10*aftrAK=0;
test 4*shalllAZ + 10*aftrAZ=0;
test 4*shalllTN + 10*aftrTN=0;
test 4*shalllWY + 10*aftrWY=0;
test 4*shalllAR + 10*aftrAR=0;
test 4*shalllNV + 10*aftrNV=0;
test 4*shalllNC + 10*aftrNC=0;
test 4*shalllOK + 10*aftrOK=0;
test 4*shalllTX + 10*aftrTX=0;
test 4*shalllUT + 10*aftrUT=0;
test 4*shalllKY =0;
test 4*shalllLA =0;
test 4*shalllSC =0;

test 5*shalllME + 15*aftrME=0;
test 5*shalllFL + 15*aftrFL=0;
test 5*shalllVA + 15*aftrVA=0;
test 5*shalllGA + 15*aftrGA=0;
test 5*shalllPA + 15*aftrPA=0;
test 5*shalllPh + 15*aftrPh=0;
test 5*shalllWV + 15*aftrWV=0;
test 5*shalllID + 15*aftrID=0;
test 5*shalllMS + 15*aftrMS=0;
test 5*shalllOR + 15*aftrOR=0;
test 5*shalllMT + 15*aftrMT=0;
test 5*shalllAK + 15*aftrAK=0;
test 5*shalllAZ + 15*aftrAZ=0;
test 5*shalllTN + 15*aftrTN=0;
test 5*shalllWY + 15*aftrWY=0;
test 5*shalllAR + 15*aftrAR=0;
test 5*shalllNV + 15*aftrNV=0;
test 5*shalllNC + 15*aftrNC=0;
test 5*shalllOK + 15*aftrOK=0;
test 5*shalllTX + 15*aftrTX=0;
test 5*shalllUT + 15*aftrUT=0;
test 5*shalllKY =0;
test 5*shalllLA =0;
test 5*shalllSC =0;

test 6*shalllME + 21*aftrME=0;
test 6*shalllFL + 21*aftrFL=0;
test 6*shalllVA + 21*aftrVA=0;
test 6*shalllGA + 21*aftrGA=0;
test 6*shalllPA + 21*aftrPA=0;
test 6*shalllPh + 21*aftrPh=0;
test 6*shalllWV + 21*aftrWV=0;
test 6*shalllID + 21*aftrID=0;
test 6*shalllMS + 21*aftrMS=0;
test 6*shalllOR + 21*aftrOR=0;
test 6*shalllMT + 21*aftrMT=0;
test 6*shalllAK + 21*aftrAK=0;
test 6*shalllAZ + 21*aftrAZ=0;
test 6*shalllTN + 21*aftrTN=0;
test 6*shalllWY + 21*aftrWY=0;
test 6*shalllAR + 21*aftrAR=0;
test 6*shalllNV + 21*aftrNV=0;
test 6*shalllNC + 21*aftrNC=0;
test 6*shalllOK + 21*aftrOK=0;
test 6*shalllTX + 21*aftrTX=0;
test 6*shalllUT + 21*aftrUT=0;
test 6*shalllKY =0;
test 6*shalllLA =0;
test 6*shalllSC =0;

areg laut shalll* aftr* ttt* AOAUTICP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-iyear_97 [aweight=POPC], absorb(COUNTY) robust;

testparm aftrME-aftrSC;
testparm aftrME-aftrSC, equal;

outreg shalllME-aftrSC using Table13.xls, append noparen nolabel coefastr se 3aster;

test 4*shalllME + 10*aftrME=0;
test 4*shalllFL + 10*aftrFL=0;
test 4*shalllVA + 10*aftrVA=0;
test 4*shalllGA + 10*aftrGA=0;
test 4*shalllPA + 10*aftrPA=0;
test 4*shalllPh + 10*aftrPh=0;
test 4*shalllWV + 10*aftrWV=0;
test 4*shalllID + 10*aftrID=0;
test 4*shalllMS + 10*aftrMS=0;
test 4*shalllOR + 10*aftrOR=0;
test 4*shalllMT + 10*aftrMT=0;
test 4*shalllAK + 10*aftrAK=0;
test 4*shalllAZ + 10*aftrAZ=0;
test 4*shalllTN + 10*aftrTN=0;
test 4*shalllWY + 10*aftrWY=0;
test 4*shalllAR + 10*aftrAR=0;
test 4*shalllNV + 10*aftrNV=0;
test 4*shalllNC + 10*aftrNC=0;
test 4*shalllOK + 10*aftrOK=0;
test 4*shalllTX + 10*aftrTX=0;
test 4*shalllUT + 10*aftrUT=0;
test 4*shalllKY =0;
test 4*shalllLA =0;
test 4*shalllSC =0;

test 5*shalllME + 15*aftrME=0;
test 5*shalllFL + 15*aftrFL=0;
test 5*shalllVA + 15*aftrVA=0;
test 5*shalllGA + 15*aftrGA=0;
test 5*shalllPA + 15*aftrPA=0;
test 5*shalllPh + 15*aftrPh=0;
test 5*shalllWV + 15*aftrWV=0;
test 5*shalllID + 15*aftrID=0;
test 5*shalllMS + 15*aftrMS=0;
test 5*shalllOR + 15*aftrOR=0;
test 5*shalllMT + 15*aftrMT=0;
test 5*shalllAK + 15*aftrAK=0;
test 5*shalllAZ + 15*aftrAZ=0;
test 5*shalllTN + 15*aftrTN=0;
test 5*shalllWY + 15*aftrWY=0;
test 5*shalllAR + 15*aftrAR=0;
test 5*shalllNV + 15*aftrNV=0;
test 5*shalllNC + 15*aftrNC=0;
test 5*shalllOK + 15*aftrOK=0;
test 5*shalllTX + 15*aftrTX=0;
test 5*shalllUT + 15*aftrUT=0;
test 5*shalllKY =0;
test 5*shalllLA =0;
test 5*shalllSC =0;

test 6*shalllME + 21*aftrME=0;
test 6*shalllFL + 21*aftrFL=0;
test 6*shalllVA + 21*aftrVA=0;
test 6*shalllGA + 21*aftrGA=0;
test 6*shalllPA + 21*aftrPA=0;
test 6*shalllPh + 21*aftrPh=0;
test 6*shalllWV + 21*aftrWV=0;
test 6*shalllID + 21*aftrID=0;
test 6*shalllMS + 21*aftrMS=0;
test 6*shalllOR + 21*aftrOR=0;
test 6*shalllMT + 21*aftrMT=0;
test 6*shalllAK + 21*aftrAK=0;
test 6*shalllAZ + 21*aftrAZ=0;
test 6*shalllTN + 21*aftrTN=0;
test 6*shalllWY + 21*aftrWY=0;
test 6*shalllAR + 21*aftrAR=0;
test 6*shalllNV + 21*aftrNV=0;
test 6*shalllNC + 21*aftrNC=0;
test 6*shalllOK + 21*aftrOK=0;
test 6*shalllTX + 21*aftrTX=0;
test 6*shalllUT + 21*aftrUT=0;
test 6*shalllKY =0;
test 6*shalllLA =0;
test 6*shalllSC =0;

areg lbur shalll* aftr* ttt* AOBURICP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-iyear_97 [aweight=POPC], absorb(COUNTY) robust;

testparm aftrME-aftrSC;
testparm aftrME-aftrSC, equal;

outreg shalllME-aftrSC using Table13.xls, append noparen nolabel coefastr se 3aster;

test 4*shalllME + 10*aftrME=0;
test 4*shalllFL + 10*aftrFL=0;
test 4*shalllVA + 10*aftrVA=0;
test 4*shalllGA + 10*aftrGA=0;
test 4*shalllPA + 10*aftrPA=0;
test 4*shalllPh + 10*aftrPh=0;
test 4*shalllWV + 10*aftrWV=0;
test 4*shalllID + 10*aftrID=0;
test 4*shalllMS + 10*aftrMS=0;
test 4*shalllOR + 10*aftrOR=0;
test 4*shalllMT + 10*aftrMT=0;
test 4*shalllAK + 10*aftrAK=0;
test 4*shalllAZ + 10*aftrAZ=0;
test 4*shalllTN + 10*aftrTN=0;
test 4*shalllWY + 10*aftrWY=0;
test 4*shalllAR + 10*aftrAR=0;
test 4*shalllNV + 10*aftrNV=0;
test 4*shalllNC + 10*aftrNC=0;
test 4*shalllOK + 10*aftrOK=0;
test 4*shalllTX + 10*aftrTX=0;
test 4*shalllUT + 10*aftrUT=0;
test 4*shalllKY =0;
test 4*shalllLA =0;
test 4*shalllSC =0;

test 5*shalllME + 15*aftrME=0;
test 5*shalllFL + 15*aftrFL=0;
test 5*shalllVA + 15*aftrVA=0;
test 5*shalllGA + 15*aftrGA=0;
test 5*shalllPA + 15*aftrPA=0;
test 5*shalllPh + 15*aftrPh=0;
test 5*shalllWV + 15*aftrWV=0;
test 5*shalllID + 15*aftrID=0;
test 5*shalllMS + 15*aftrMS=0;
test 5*shalllOR + 15*aftrOR=0;
test 5*shalllMT + 15*aftrMT=0;
test 5*shalllAK + 15*aftrAK=0;
test 5*shalllAZ + 15*aftrAZ=0;
test 5*shalllTN + 15*aftrTN=0;
test 5*shalllWY + 15*aftrWY=0;
test 5*shalllAR + 15*aftrAR=0;
test 5*shalllNV + 15*aftrNV=0;
test 5*shalllNC + 15*aftrNC=0;
test 5*shalllOK + 15*aftrOK=0;
test 5*shalllTX + 15*aftrTX=0;
test 5*shalllUT + 15*aftrUT=0;
test 5*shalllKY =0;
test 5*shalllLA =0;
test 5*shalllSC =0;

test 6*shalllME + 21*aftrME=0;
test 6*shalllFL + 21*aftrFL=0;
test 6*shalllVA + 21*aftrVA=0;
test 6*shalllGA + 21*aftrGA=0;
test 6*shalllPA + 21*aftrPA=0;
test 6*shalllPh + 21*aftrPh=0;
test 6*shalllWV + 21*aftrWV=0;
test 6*shalllID + 21*aftrID=0;
test 6*shalllMS + 21*aftrMS=0;
test 6*shalllOR + 21*aftrOR=0;
test 6*shalllMT + 21*aftrMT=0;
test 6*shalllAK + 21*aftrAK=0;
test 6*shalllAZ + 21*aftrAZ=0;
test 6*shalllTN + 21*aftrTN=0;
test 6*shalllWY + 21*aftrWY=0;
test 6*shalllAR + 21*aftrAR=0;
test 6*shalllNV + 21*aftrNV=0;
test 6*shalllNC + 21*aftrNC=0;
test 6*shalllOK + 21*aftrOK=0;
test 6*shalllTX + 21*aftrTX=0;
test 6*shalllUT + 21*aftrUT=0;
test 6*shalllKY =0;
test 6*shalllLA =0;
test 6*shalllSC =0;

areg llar shalll* aftr* ttt* AOLARICP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-iyear_97 [aweight=POPC], absorb(COUNTY) robust;

testparm aftrME-aftrSC;
testparm aftrME-aftrSC, equal;

outreg shalllME-aftrSC using Table13.xls, append noparen nolabel coefastr se 3aster;

test 4*shalllME + 10*aftrME=0;
test 4*shalllFL + 10*aftrFL=0;
test 4*shalllVA + 10*aftrVA=0;
test 4*shalllGA + 10*aftrGA=0;
test 4*shalllPA + 10*aftrPA=0;
test 4*shalllPh + 10*aftrPh=0;
test 4*shalllWV + 10*aftrWV=0;
test 4*shalllID + 10*aftrID=0;
test 4*shalllMS + 10*aftrMS=0;
test 4*shalllOR + 10*aftrOR=0;
test 4*shalllMT + 10*aftrMT=0;
test 4*shalllAK + 10*aftrAK=0;
test 4*shalllAZ + 10*aftrAZ=0;
test 4*shalllTN + 10*aftrTN=0;
test 4*shalllWY + 10*aftrWY=0;
test 4*shalllAR + 10*aftrAR=0;
test 4*shalllNV + 10*aftrNV=0;
test 4*shalllNC + 10*aftrNC=0;
test 4*shalllOK + 10*aftrOK=0;
test 4*shalllTX + 10*aftrTX=0;
test 4*shalllUT + 10*aftrUT=0;
test 4*shalllKY =0;
test 4*shalllLA =0;
test 4*shalllSC =0;

test 5*shalllME + 15*aftrME=0;
test 5*shalllFL + 15*aftrFL=0;
test 5*shalllVA + 15*aftrVA=0;
test 5*shalllGA + 15*aftrGA=0;
test 5*shalllPA + 15*aftrPA=0;
test 5*shalllPh + 15*aftrPh=0;
test 5*shalllWV + 15*aftrWV=0;
test 5*shalllID + 15*aftrID=0;
test 5*shalllMS + 15*aftrMS=0;
test 5*shalllOR + 15*aftrOR=0;
test 5*shalllMT + 15*aftrMT=0;
test 5*shalllAK + 15*aftrAK=0;
test 5*shalllAZ + 15*aftrAZ=0;
test 5*shalllTN + 15*aftrTN=0;
test 5*shalllWY + 15*aftrWY=0;
test 5*shalllAR + 15*aftrAR=0;
test 5*shalllNV + 15*aftrNV=0;
test 5*shalllNC + 15*aftrNC=0;
test 5*shalllOK + 15*aftrOK=0;
test 5*shalllTX + 15*aftrTX=0;
test 5*shalllUT + 15*aftrUT=0;
test 5*shalllKY =0;
test 5*shalllLA =0;
test 5*shalllSC =0;

test 6*shalllME + 21*aftrME=0;
test 6*shalllFL + 21*aftrFL=0;
test 6*shalllVA + 21*aftrVA=0;
test 6*shalllGA + 21*aftrGA=0;
test 6*shalllPA + 21*aftrPA=0;
test 6*shalllPh + 21*aftrPh=0;
test 6*shalllWV + 21*aftrWV=0;
test 6*shalllID + 21*aftrID=0;
test 6*shalllMS + 21*aftrMS=0;
test 6*shalllOR + 21*aftrOR=0;
test 6*shalllMT + 21*aftrMT=0;
test 6*shalllAK + 21*aftrAK=0;
test 6*shalllAZ + 21*aftrAZ=0;
test 6*shalllTN + 21*aftrTN=0;
test 6*shalllWY + 21*aftrWY=0;
test 6*shalllAR + 21*aftrAR=0;
test 6*shalllNV + 21*aftrNV=0;
test 6*shalllNC + 21*aftrNC=0;
test 6*shalllOK + 21*aftrOK=0;
test 6*shalllTX + 21*aftrTX=0;
test 6*shalllUT + 21*aftrUT=0;
test 6*shalllKY =0;
test 6*shalllLA =0;
test 6*shalllSC =0;

log close;


